Get unregistered applicant details
curl --request POST \
--url https://api.sandbox.co.in/gst/compliance/public/unregistered-applicants \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"enrolment_number": "292200000001ES9"
}
'import requests
url = "https://api.sandbox.co.in/gst/compliance/public/unregistered-applicants"
payload = { "enrolment_number": "292200000001ES9" }
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
authorization: '<authorization>',
'x-api-key': '<x-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({enrolment_number: '292200000001ES9'})
};
fetch('https://api.sandbox.co.in/gst/compliance/public/unregistered-applicants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"name": "Dev Prakruthi",
"pan": "SRIFP2884S",
"state": "Tamil Nadu",
"authstatus": "A",
"regdt": "28/09/1989",
"candt": "",
"addtls": {
"bno": "3/1-10",
"bnm": "",
"st": "3rd Street",
"loc": "West Mambalam",
"pncd": "600033",
"stcd": "Tamil Nadu",
"lg": "13.035805",
"lt": "80.2204520000001",
"dst": "Chennai",
"cnty": "IND",
"landMark": "West Mambalam Sub Post Office",
"city": "Chennai"
},
"goodsdetails": "",
"servicedetails": ""
},
"status_cd": "1"
},
"timestamp": 1785424627417,
"transaction_id": "f8be2d24-ed85-4a65-9763-0a3bef00870a"
}Get unregistered applicant details
Retrieve GST registration details for an unregistered e-commerce applicant using an enrolment number.
POST
/
gst
/
compliance
/
public
/
unregistered-applicants
Get unregistered applicant details
Response schema
For successful responses, these resources describe the Goods and Services Tax Network (GSTN) payload atdata.data.
View response JSON schema
View Excel field reference
Headers
JWT access token used to authorize the request.
Pass true to accept a cached response. Requests without this header, or with false, are sent to the origin.
API key used to identify your Sandbox account.
Sandbox API version to use.
Body
application/json
Identifier for the unregistered applicant.
GST enrolment number of the unregistered applicant.
Example:
"292200000001ES9"
Response
200 - application/json
Unregistered applicant details retrieved successfully.
HTTP status code.
Example:
200
Show child attributes
Show child attributes
Unix timestamp in milliseconds indicating when the server generated the response.
Example:
1785424627417
Unique identifier for tracking the request across systems.
Example:
"f8be2d24-ed85-4a65-9763-0a3bef00870a"
Was this page helpful?